staqlydocs
REST APIAPI referenceAccounts

The signed-in person's account

The signed-in person's account (account owners only)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/account

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Response Body

OK

application/json
  1. response
id*string
name*string
owner*
workspaces*array<>
created_at*string
curl -X GET 'https://staqly.example.com/v1/account'
{  "id": "string",  "name": "string",  "owner": {    "id": "string",    "name": "string",    "email": "string",    "avatar_url": "string"  },  "workspaces": [    {      "id": "string",      "name": "string",      "role": "owner",      "current": true    }  ],  "created_at": "string"}